Known Issues with HP FutureSmart Embedded App (PaperCut MF)

KB Home   |   Known Issues with HP FutureSmart Embedded App (PaperCut MF)

PaperCut is fully committed to helping customers and partners make the best use of our technology. A key part of that is transparency and full disclosure of issues that may affect how well the solution works for you. Unfortunately, with complex modern technology (often supplied by different organizations) there is no way to address all problems and issues immediately but keep checking back to see if we have fixed something. If something is causing you particular concern please contact PaperCut support.


Issue ID

Description

Reported in

Status

Resolved in

8345

HP FutureSmart devices may show errors after firmware upgrade More info…

15.x

Resolved

FutureSmart firmware 3.7.3

1059

Partial card reads with some HP FutureSmart Embeddeds (M4555 in particular) More info…

15.x

Resolved

15.3 (Build 34420)

490014

Some HP models error or freeze during user login More info…

15.0 (Build 32334)

Open

Workaround available

420001

Problems tracking scan and fax jobs. More info…

13.3 - 14.0

Resolved

14.1

420002

48.A1.01 error appears on device, device functions disabled. More info…

 

Resolved

13.5

420003

48.A1.01 error appears on device, device functions disabled. More info…

13.3

Resolved

13.4

420004

Pauses during printing, or slow copy/print/panel performance. More info…

13.3

Resolved

13.3.23540

420005

Error ArrayIndex... appears in device status and prevents some functionality. More info…

 

Resolved

13.2.22278

420006

“Cannot connect to the quota server” errors when copying. More info…

 

Resolved

13.0

420007

Embedded app version 19437: card readers not working on ARM based devices. More info…

App v19437

Resolved

App v19902

420008

Color copying access control (group-level color access restriction) not supported. More info…

App v21124

Resolved

13.1

420009

HP Common Card Reader (CCR) not supported. More info…

 

Resolved

15.0

Other known issues, not specific to the HP FutureSmart Embedded App are covered in:


8345: HP FutureSmart devices may show errors after firmware upgrade

PaperCut support have seen an increase in customers reporting that after firmware upgrades on certain devices, the HP embedded platform will stop responding with one of the following errors:

Error: The server sent HTTP status code 400: BadRequest

HTTP transport error: javax.net.ssl.SSL HandshakeException: server certificate change is restricted during renegotiation

We have narrowed this issue down to an issue with interoperability between PaperCut and the HP Fleet Release Bundle Version Designation: 3.7 (firmware version 3.7) which was released in early January 2016 and may be seen on any FutureSmart devices. The devices PaperCut have seen with this error so far are below:

  • HP FutureSmart X585
  • HP FutureSmart M527
  • HP FutureSmart M575
  • HP FutureSmart M577
  • HP FutureSmart M680
  • HP FutureSmart M830
  • HP FutureSmart M4555
  • HP FutureSmart cM4540
  • HP LaserJet M525dn

PaperCut advises that you do not upgrade to this firmware version until further notice. If you are seeing one of these two errors, or have already upgraded to this firmware, we recommend that you downgrade the firmware. PaperCut has initiated contact with HP to find the cause of this issue, and any updates will be posted here. If you find the same behavior on different models of HP, or would like to be updated as the issue investigation progresses internally, please email support@papercut.com with your HP model and firmware versions, and we will add it to the list.

A fix for this bug was included in FutureSmart firmware interim 3.7.3. To obtain a link to the firmware contact your local HP ATS (Advanced Technical Support).



1059: Partial Card Reads with HP FutureSmart Embedded (M4555 in particular).

We have received a small number of reports of partial card reads on M4555 devices, though have had limited success recreating this ourselves on a selection of other models. The result of a ‘partial’ card read can be a user not being granted access to the device, or being challenged to self-associate the card to their account.

A fix for this bug was included in PaperCut MF 15.3 (Build 34420).



490014: Some HP models error or freeze during user login

PaperCut support have seen an increase in customers reporting certain models of HP freezing or erroring when logging in whilst using the Shared Accounts or Print Release functions. We believe this is related to and interoperability issue between PaperCut and the HP firmware released on the 18th of February 2015 on the following models:

  • HP X585, firmware 2304070_439651 and 2304061_439464
  • HP M630, firmware 2304070_439645
  • HP M725, firmware 2304070_439661
  • HP M775, firmware 2304070_439663
  • HP M830, firmware 2304070_439651
  • HP M880, firmware 2304070_439653

A full table of firmware released can be found here.

PaperCut has been advised that there is newer firmware being released for all devices affected as of the 15th of April 2015. If there is firmware newer than the 18th of February 2015, then please upgrade to this firmware. If there is no newer firmware, then the workaround is to downgrade firmware on the device.

If you find the same behavior on different models of HP, please email support@papercut.com with your HP model and firmware versions, and we will add it to the list.



420001: Problems tracking scan and fax jobs (13.3 - 14.0)

In versions 13.3 through 14.0, problems may be experienced tracking scan and fax jobs.

The fix is included in the 14.1 release.



420002: Partial / double / invalid card number reads (improvements up to 13.5)

Depending on the card reader and HP model, there were a number of cases where card numbers would not be read correctly. This has been addresses in a number of updates, with the latest being in embedded app v24120 (included with PaperCut 13.5). If you are experiencing card reader issues on a version earlier than this, please try upgrading first. If you are running this version or newer, please contact PaperCut support.



420003: 48.A1.01 error appears on device, device functions disabled (improved in PaperCut 13.4)

The latest improvements to reduce the likelihood of this error occurring are in PaperCut 13.4. PaperCut Software has worked closely with HP to try to eliminate the causes of this error, and this work resulted in many changes over the course of several releases. If you do experience this error on a device with PaperCut 13.4 or newer, please report the details to PaperCut support first, then try clearing the error by:

  1. Rebooting the device.
  2. Resetting the device to factory default settings.


420004: Pauses during printing, or slow copy/print/panel performance (improved in PaperCut 13.3.23540)

PaperCut 13.3.23540 includes a change that addresses general performance issues that may manifest as pauses in the middle of print/copy jobs or slow panel performance.



420005: Error ArrayIndex... appears in device status and prevents some functionality (resolved in 13.2.22278)

This error may be seen on sites with many HP devices (e.g. 30+). If it occurs it may indicate other problems such as jobs not being tracked correctly, and it may lead to the 48.A1.01 error discussed below.



420006: “Cannot connect to the quota server” errors when copying (resolved in 13.0)

When performing a copy users may see the error dialog “Cannot connect to the quota server” even if the PaperCut server is running and there are no problems with the network. We believe this error may be an intermittent failure to make HTTPS calls, and may be the issue described by Microsoft here.

If you are seeing this issue we recommend making the following change:

  1. In the PaperCut admin interface, navigate to the Advanced Config tab of the device in question.
  2. Find the setting hp.soap.inbound.use-ssl.
  3. Change the value to N and press Update.

The information sent in these messages includes basic copy job details and usernames, so is not normally considered sensitive.

The above config change may still need to be made if you have upgraded from a version prior to PaperCut 13.0.



420007: HP Common Card Reader (CCR) not supported

HP FutureSmart devices with ARM processors will error if trying to use a card reader with the PaperCut onboard app. This includes HP LaserJet 500 and 600 series devices.



420008: Color copying access control (group-level color access restriction) not supported (added in app version 21124, comes with PaperCut 13.1)

Color access control was not supported with early releases. This was added in app version 21124 that comes with PaperCut 13.1.



420009: HP Common Card Reader (CCR) not supported

The HP Common Card Reader is supported from version 15.0 onwards.



Categories: Troubleshooting, PaperCut MF


Keywords: HP Jedi, HP OXPd

Comments

Share your findings and experience with other PaperCut users. Feel free to add comments and suggestions about this Knowledge Base article. Please don't use this for support requests.

Article last modified on June 24, 2016, at 04:28 PM
Printable View   |   Article History   |   Edit Article